## org.eclipse.emf.cdo.defs
Interface CDOPackageRegistryDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CDOEagerPackageRegistryDef, CDOLazyPackageRegistryDef

All Known Implementing Classes:
  CDOEagerPackageRegistryDefImpl, CDOLazyPackageRegistryDefImpl, CDOPackageRegistryDefImpl

    public interface CDOPackageRegistryDef

extends org.eclipse.net4j.util.defs.Def

A representation of the model object 'CDO Package Registry Def'.

The following features are supported:

- `Packages`

See Also:
  `CDODefsPackage.getCDOPackageRegistryDef()`

Method Summary
`org.eclipse.emf.common.util.EList<EPackageDef>` `getPackages()` Returns the value of the 'Packages' containment reference list.

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPackages

    org.eclipse.emf.common.util.EList<EPackageDef> getPackages()

  Returns the value of the 'Packages' containment reference list. The list contents are of type `EPackageDef`.

  If the meaning of the 'Packages' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Packages' containment reference list.
  See Also:
    `CDODefsPackage.getCDOPackageRegistryDef_Packages()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.